Class | Rake::FileCreationTask
In: | lib/rake.rb
Parent: | FileTask

######################################################################### A FileCreationTask is a file task that when used as a dependency will be needed if and only if the file has not been created. Once created, it is not re-triggered if any of its dependencies are newer, nor does trigger any rebuilds of tasks that depend on it whenever it is updated.

### Methods

needed? timestamp

### Public Instance methods

needed?()

Is this file task needed? Yes if it doesn‘t exist.

[Source]

         # File lib/rake.rb, line 722
    722:     def needed?
    723:       ! File.exist?(name)
    724:     end

timestamp()

Time stamp for file creation task. This time stamp is earlier than any other time stamp.

[Source]

         # File lib/rake.rb, line 728
    728:     def timestamp
    729:       Rake::EARLY
    730:     end

[Validate]